package com.lanyuanxiaoyao.service.executor.manager.configuration;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * yarn 配置
 *
 * @author ZhangJiacheng
 * @date 2022-03-30
 */
@ConfigurationProperties("executor")
@Component
public class ExecutorConfiguration {
    private static final Logger logger = LoggerFactory.getLogger(ExecutorConfiguration.class);

    private String taskJarPath;
    private String taskResultPath;

    public String getTaskJarPath() {
        return taskJarPath;
    }

    public void setTaskJarPath(String taskJarPath) {
        this.taskJarPath = taskJarPath;
    }

    public String getTaskResultPath() {
        return taskResultPath;
    }

    public void setTaskResultPath(String taskResultPath) {
        this.taskResultPath = taskResultPath;
    }

    @Override
    public String toString() {
        return "ExecutorConfiguration{" +
               "taskJarPath='" + taskJarPath + '\'' +
               ", taskResultPath='" + taskResultPath + '\'' +
               '}';
    }
}
